package.json 1.97 KB
Newer Older
Matija Obreza's avatar
Matija Obreza committed
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
{
  "name": "@genesys-pgr/ui-embedded",
  "version": "1.0.0-alpha1",
  "license": "Apache-2.0",
  "main": "dist/genesys-ui.js",
  "keywords": [
    "Genesys PGR"
  ],
  "author": {
    "name": "Genesys Helpdesk",
    "email": "helpdesk@genesys-pgr.org",
    "url": "https://www.genesys-pgr.org"
  },
  "repository": {
    "type": "git",
    "url": "https://gitlab.croptrust.org/genesys-pgr/ui-embedded.git"
  },
  "scripts": {
    "clean": "rimraf target dist",
    "build": "rimraf dist && yarn run build:library",
    "build:library": "cross-env NODE_ENV=production webpack --config config/webpack-production.library.js",
    "serve": "webpack-dev-server --config config/webpack-development.config.js",
    "serve:production": "cross-env NODE_ENV=production NODE_OPTIONS=--max_old_space_size=8192 webpack-dev-server --config config/webpack-production.config.js",
    "analyze": "webpack --config config/webpack-analyze.config.js"
  },
  "dependencies": {
    "es-cookie": "^1.3.2",
    "history": "^4.10.1",
    "react": "^16.13.1",
    "react-dom": "^16.13.1",
    "react-router-dom": "^5.1.2"
  },
  "devDependencies": {
    "@types/react": "^16.9.33",
    "@typescript-eslint/eslint-plugin": "^2.27.0",
    "@typescript-eslint/eslint-plugin-tslint": "^2.27.0",
    "@typescript-eslint/parser": "^2.27.0",
    "awesome-typescript-loader": "^5.2.1",
    "cross-env": "^7.0.2",
    "eslint": "^6.8.0",
    "eslint-config-airbnb": "^18.1.0",
    "eslint-config-prettier": "^6.10.1",
    "eslint-loader": "^4.0.0",
    "eslint-plugin-import": "^2.20.2",
    "eslint-plugin-jsx-a11y": "^6.2.3",
    "eslint-plugin-prefer-arrow": "^1.2.0",
    "eslint-plugin-react": "^7.19.0",
    "mini-css-extract-plugin": "^0.9.0",
    "optimize-css-assets-webpack-plugin": "^5.0.3",
    "rimraf": "^3.0.1",
    "tslint": "^6.1.1",
    "typescript": "^3.8.3",
    "webpack": "^4.42.1",
    "webpack-bundle-analyzer": "^3.8.0",
    "webpack-cli": "^3.3.11",
    "webpack-dev-server": "^3.11.0",
    "webpack-merge": "^4.2.2"
  }
}